Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc.local
Class LocalManagedConnection

    java.lang.Object
      org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection
          org.jboss.resource.adapter.jdbc.local.LocalManagedConnection

All Implemented Interfaces:
  javax.resource.spi.LocalTransaction, javax.resource.spi.ManagedConnection

public class LocalManagedConnection
extends BaseWrapperManagedConnection
implements javax.resource.spi.LocalTransaction

LocalManagedConnection.java Created: Mon Aug 12 19:18:58 2002

Version:
Author:
  David Jencks

Field Summary

Fields inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection
`con, destroyed, inManagedTransaction, jdbcAutoCommit, jdbcReadOnly, jdbcTransactionIsolation, mcf, props, stateLock, underlyingAutoCommit, underlyingReadOnly`

Constructor Summary
`LocalManagedConnection(LocalManagedConnectionFactory mcf, Connection con, Properties props, int transactionIsolation, int psCacheSize)`

Method Summary
`void` | `begin()`
`void` | `commit()`
`javax.resource.spi.LocalTransaction` | `getLocalTransaction()`
`XAResource` | `getXAResource()`
`void` | `rollback()`

Methods inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection
`addConnectionEventListener, associateConnection, broadcastConnectionError, checkException, checkState, checkValid, cleanup, destroy, getConnection, getLog, getLogWriter, getMetaData, removeConnectionEventListener, setLogWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalManagedConnection

    public LocalManagedConnection(LocalManagedConnectionFactory mcf,
                                  Connection con,
                                  Properties props,
                                  int transactionIsolation,
                                  int psCacheSize)
                           throws SQLException

Method Detail

### getLocalTransaction

    public javax.resource.spi.LocalTransaction getLocalTransaction()
                                                            throws javax.resource.ResourceException

  Specified by:
    `getLocalTransaction` in interface `javax.resource.spi.ManagedConnection`
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### getXAResource

    public XAResource getXAResource()
                             throws javax.resource.ResourceException

  Specified by:
    `getXAResource` in interface `javax.resource.spi.ManagedConnection`
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### commit

    public void commit()
                throws javax.resource.ResourceException

  Specified by:
    `commit` in interface `javax.resource.spi.LocalTransaction`
  Throws:
    `javax.resource.ResourceException` -

### rollback

    public void rollback()
                  throws javax.resource.ResourceException

  Specified by:
    `rollback` in interface `javax.resource.spi.LocalTransaction`
  Throws:
    `javax.resource.ResourceException` -

### begin

    public void begin()
               throws javax.resource.ResourceException

  Specified by:
    `begin` in interface `javax.resource.spi.LocalTransaction`
  Throws:
    `javax.resource.ResourceException` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.